Skip to main content
PATCH
/
1
/
destinations
/
{destinationID}
curl
curl --request PATCH \
  --url https://data.us.algolia.com/1/destinations/6c02aeb1-775e-418e-870b-1faccd4b2c0f \
  --header 'accept: application/json' \
  --header 'content-type: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
  --data '
{
  "name": "lorem",
  "input": {
    "indexName": "lorem",
    "recordType": "product",
    "attributesToExclude": [
      "lorem"
    ]
  },
  "authenticationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
  "transformationIDs": [
    "6c02aeb1-775e-418e-870b-1faccd4b2c0f"
  ]
}
'
{
  "destinationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
  "name": "<string>",
  "updatedAt": "<string>"
}
Required ACL: addObject, deleteIndex, editSettings

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

destinationID
string
required

Unique identifier of a destination. Universally unique identifier (UUID) of a destination resource.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

Body

application/json

API request body for updating a destination.

authenticationID
string

Universally unique identifier (UUID) of an authentication resource.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

input
object
name
string

Descriptive name for the resource.

transformationIDs
string[]

Universally unique identifier (UUID) of a transformation.

Response

OK

API response for updating a destination.

destinationID
string
required

Universally unique identifier (UUID) of a destination resource.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

name
string
required

Descriptive name for the resource.

updatedAt
string
required

Date and time when the resource was last updated, in RFC 3339 format.

Last modified on March 23, 2026